Juniper Networks NFX150 Network Services Platform

Certificate details

Certificate ID #3717
Status historical
Historical reason Moved to historical list due to sunsetting
Validation dates 28.09.2020
Standard FIPS 140-2
Security level 1
Type Hardware
Embodiment Multi-Chip Stand Alone
Caveat When operated in FIPS mode, installed, initialized and configured as specified in Section 1.2 and 6 of the Security Policy
Exceptions
  • Roles, Services, and Authentication: Level 3
  • Design Assurance: Level 3
  • Mitigation of Other Attacks: N/A
Description The NFX150 Network Services Platform provides multiple network connections and an open, standards-based architecture. It uses SRX Series next-generation firewall software for security. The NFX150 delivers business services, such as SD-WAN. It is for enterprise organizations and for service providers that deliver managed services to the enterprise.
Version (Hardware) NFX150-C-S1, NFX150-S1 and NFX150-S1E
Version (Firmware) Junos OS 19.2R1
Vendor Juniper Networks, Inc. http://www.juniper.net/
Lab Acumen Security
Algorithms
References

This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates.

Security policy

Extracted keywords

Symmetric Algorithms
AES, CAST, Triple-DES, TripleDES, TDES, TDEA, Blowfish, HMAC, HMAC-SHA-256, HMAC-SHA-512
Asymmetric Algorithms
RSA 2048, RSA 4096, ECDH, ECDSA, DH, Diffie-Hellman, DSA
Hash functions
SHA-1, SHA-256, SHA-512, MD5
Schemes
Key Exchange, Key Agreement, AEAD
Protocols
SSH, SSHv2, IKEv1, IKEv2, IKE, IPsec
Randomness
DRBG, RNG
Libraries
OpenSSL
Elliptic Curves
P-256, P-384, P-521
Block cipher modes
CBC, CTR, GCM

Security level
Level 1, level 1

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.fips.FIPSCertificate",
  "cert_id": 3717,
  "dgst": "7119d5d9637ddeeb",
  "heuristics": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
    "algorithms": {
      "_type": "Set",
      "elements": [
        "HMAC#C946",
        "RSA#C970",
        "SHS#C942",
        "AES#C970",
        "SHS#C970",
        "AES#C946",
        "Triple-DES#C970",
        "#C947",
        "Triple-DES#C946",
        "HMAC#C947",
        "#C970",
        "ECDSA#C947",
        "SHS#C946",
        "ECDSA#C970",
        "HMAC#C970",
        "RSA#C947",
        "#C943",
        "CVL#C945",
        "DRBG#C942",
        "DRBG#C947",
        "#C945",
        "#C942",
        "CVL#C947",
        "HMAC#C943",
        "SHS#C943",
        "#C946",
        "AES#C947",
        "SHS#C947",
        "Triple-DES#C947",
        "KTS#C970",
        "HMAC#C942",
        "DRBG#C970",
        "KTS#C947"
      ]
    },
    "cpe_matches": {
      "_type": "Set",
      "elements": [
        "cpe:2.3:h:juniper:nfx150:-:*:*:*:*:*:*:*"
      ]
    },
    "direct_transitive_cves": null,
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "19.2"
      ]
    },
    "indirect_transitive_cves": null,
    "module_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "module_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "policy_processed_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "policy_prunned_references": {
      "_type": "Set",
      "elements": []
    },
    "related_cves": null,
    "verified_cpe_matches": null
  },
  "pdf_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
    "br1_deviations": 44,
    "br1_tables": null,
    "is_br1_format": false,
    "keywords": {
      "asymmetric_crypto": {
        "ECC": {
          "ECDH": {
            "ECDH": 18
          },
          "ECDSA": {
            "ECDSA": 26
          }
        },
        "FF": {
          "DH": {
            "DH": 9,
            "Diffie-Hellman": 22
          },
          "DSA": {
            "DSA": 2
          }
        },
        "RSA": {
          "RSA 2048": 13,
          "RSA 4096": 2
        }
      },
      "certification_process": {},
      "cipher_mode": {
        "CBC": {
          "CBC": 13
        },
        "CTR": {
          "CTR": 2
        },
        "GCM": {
          "GCM": 13
        }
      },
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {
        "OpenSSL": {
          "OpenSSL": 5
        }
      },
      "crypto_protocol": {
        "IKE": {
          "IKE": 18,
          "IKEv1": 6,
          "IKEv2": 8
        },
        "IPsec": {
          "IPsec": 11
        },
        "SSH": {
          "SSH": 42,
          "SSHv2": 3
        }
      },
      "crypto_scheme": {
        "AEAD": {
          "AEAD": 2
        },
        "KA": {
          "Key Agreement": 2
        },
        "KEX": {
          "Key Exchange": 2
        }
      },
      "device_model": {},
      "ecc_curve": {
        "NIST": {
          "P-256": 56,
          "P-384": 40,
          "P-521": 16
        }
      },
      "eval_facility": {},
      "fips_cert_id": {},
      "fips_certlike": {
        "Certlike": {
          "AES CBC 128/192/256": 5,
          "HMAC SHA-1": 1,
          "HMAC SHA-256": 4,
          "HMAC-SHA-1": 6,
          "HMAC-SHA-1-96": 4,
          "HMAC-SHA-256": 8,
          "HMAC-SHA-512": 4,
          "RSA 2048": 13,
          "RSA 4096": 2,
          "RSA2": 1,
          "SHA 1, 256": 1,
          "SHA 256": 12,
          "SHA 384": 3,
          "SHA 512": 2,
          "SHA-1": 9,
          "SHA-256": 19,
          "SHA-384": 1,
          "SHA-512": 4
        }
      },
      "fips_security_level": {
        "Level": {
          "Level 1": 2,
          "level 1": 3
        }
      },
      "hash_function": {
        "MD": {
          "MD5": {
            "MD5": 1
          }
        },
        "SHA": {
          "SHA1": {
            "SHA-1": 10
          },
          "SHA2": {
            "SHA-256": 24,
            "SHA-512": 3
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {
        "PRNG": {
          "DRBG": 13
        },
        "RNG": {
          "RNG": 2
        }
      },
      "side_channel_analysis": {},
      "standard_id": {
        "FIPS": {
          "FIPS 140": 1,
          "FIPS 140-2": 9,
          "FIPS PUB 140-2": 1,
          "FIPS140-2": 1
        },
        "NIST": {
          "SP 800-135": 3,
          "SP 800-38D": 2,
          "SP 800-67": 3,
          "SP 800-90A": 7
        },
        "RFC": {
          "RFC 2409": 1,
          "RFC 4251": 1,
          "RFC 4253": 1,
          "RFC 5282": 1,
          "RFC 6071": 1,
          "RFC 7296": 2,
          "RFC4106": 2,
          "RFC5282": 1,
          "RFC7296": 1
        },
        "X509": {
          "X.509": 2
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 32
          },
          "CAST": {
            "CAST": 1
          }
        },
        "DES": {
          "3DES": {
            "TDEA": 1,
            "TDES": 3,
            "Triple-DES": 22,
            "TripleDES": 1
          }
        },
        "constructions": {
          "MAC": {
            "HMAC": 38,
            "HMAC-SHA-256": 5,
            "HMAC-SHA-512": 1
          }
        },
        "miscellaneous": {
          "Blowfish": {
            "Blowfish": 1
          }
        }
      },
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {},
      "vulnerability": {}
    },
    "module_algorithms": {
      "_type": "Set",
      "elements": [
        "HMAC#C946",
        "RSA#C970",
        "SHS#C942",
        "AES#C970",
        "SHS#C970",
        "AES#C946",
        "Triple-DES#C970",
        "Triple-DES#C946",
        "HMAC#C947",
        "ECDSA#C947",
        "SHS#C946",
        "ECDSA#C970",
        "HMAC#C970",
        "RSA#C947",
        "CVL#C945",
        "DRBG#C942",
        "DRBG#C947",
        "CVL#C947",
        "HMAC#C943",
        "SHS#C943",
        "AES#C947",
        "SHS#C947",
        "Triple-DES#C947",
        "KTS#C970",
        "HMAC#C942",
        "DRBG#C970",
        "KTS#C947"
      ]
    },
    "policy_algorithms": {
      "_type": "Set",
      "elements": [
        "#C947",
        "#C943",
        "#C970",
        "#C946",
        "#C945",
        "#C942"
      ]
    },
    "policy_metadata": {
      "/Author": "Jennifer Brady",
      "/CreationDate": "D:20200803094941-04\u002700\u0027",
      "/Creator": "Microsoft\u00ae Word for Microsoft 365",
      "/ModDate": "D:20200803094941-04\u002700\u0027",
      "/Producer": "Microsoft\u00ae Word for Microsoft 365",
      "/Subject": "FIPS 140-2 Security Policy Template",
      "pdf_file_size_bytes": 728044,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "https://www.juniper.net/assets/us/en/local/pdf/datasheets/1000563-en.pdf",
          "https://www.juniper.net/support/downloads/junos.html"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 29
    }
  },
  "state": {
    "_type": "sec_certs.sample.fips.InternalState",
    "module": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "policy": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "5be61a46fca595efd7322c2944cf46a10b70613d41a666b2eebcac7379892268",
      "source_hash": "a3c304da51b5d1dcc868d11b715ec9c81c23e3fcca82a46dd52ba7957112d8d3",
      "txt_hash": "d796d58b66d7bb5589f90acb1cfeb7eecd4aafa8dd69121eefeef425ecf32140"
    }
  },
  "web_data": {
    "_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
    "caveat": "When operated in FIPS mode, installed, initialized and configured as specified in Section 1.2 and 6 of the Security Policy",
    "certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/September 2020_011020_0703.pdf",
    "date_sunset": null,
    "description": "The NFX150 Network Services Platform provides multiple network connections and an open, standards-based architecture. It uses SRX Series next-generation firewall software for security. The NFX150 delivers business services, such as SD-WAN. It is for enterprise organizations and for service providers that deliver managed services to the enterprise.",
    "embodiment": "Multi-Chip Stand Alone",
    "exceptions": [
      "Roles, Services, and Authentication: Level 3",
      "Design Assurance: Level 3",
      "Mitigation of Other Attacks: N/A"
    ],
    "fw_versions": "Junos OS 19.2R1",
    "historical_reason": "Moved to historical list due to sunsetting",
    "hw_versions": "NFX150-C-S1, NFX150-S1 and NFX150-S1E",
    "level": 1,
    "mentioned_certs": {},
    "module_name": "Juniper Networks NFX150 Network Services Platform",
    "module_type": "Hardware",
    "revoked_link": null,
    "revoked_reason": null,
    "standard": "FIPS 140-2",
    "status": "historical",
    "sw_versions": null,
    "tested_conf": null,
    "validation_history": [
      {
        "_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
        "date": "2020-09-28",
        "lab": "Acumen Security",
        "validation_type": "Initial"
      }
    ],
    "vendor": "Juniper Networks, Inc.",
    "vendor_url": "http://www.juniper.net/"
  }
}